Interaction dedicated to measure length.

See our live example: ../examples/measure.html

### Hierarchy

- Measure
  - default

## Index

### Constructors

- constructor

### Properties

- continueMsg
- displayHelpTooltip_
- helpTooltipElement_
- helpTooltipOverlay_
- numberFormat
- sketchFeature
- startMsg
- unitPrefixFormat

### Methods

- createDrawInteraction
- getDrawInteraction
- getTooltipElement
- handleMeasure
- setMap

## Constructors

### constructor

- new default(unitPrefixFormat: unitPrefix, numberFormat: formatNumber, options?: MeasureOptions): default

- Overrides ngeoInteractionMeasure.constructor

  - Defined in src/interaction/MeasureAzimut.js:39
  fires

    import('ngeo/interaction/Measure').MeasureEvent

  #### Parameters

  - ##### unitPrefixFormat: unitPrefix

    The format function

  - ##### numberFormat: formatNumber

    The format function

  - ##### options: MeasureOptions = {}

  #### Returns default

## Properties

### continueMsg

continueMsg: Element

Inherited from ngeoInteractionMeasure.continueMsg

- Defined in src/interaction/MeasureAzimut.js:53

Message to show after the first point is clicked.

### displayHelpTooltip_

displayHelpTooltip_: boolean

Inherited from ngeoInteractionMeasure.displayHelpTooltip_

- Defined in src/interaction/Measure.js:155

Whether or not to display any tooltip

### helpTooltipElement_

helpTooltipElement_: HTMLElement

Inherited from ngeoInteractionMeasure.helpTooltipElement_

- Defined in src/interaction/Measure.js:85

The help tooltip element.

### helpTooltipOverlay_

helpTooltipOverlay_: Overlay

Inherited from ngeoInteractionMeasure.helpTooltipOverlay_

- Defined in src/interaction/Measure.js:92

Overlay to show the help messages.

### numberFormat

numberFormat: formatNumber

- Defined in src/interaction/MeasureAzimut.js:60

The format function

### sketchFeature

sketchFeature: Feature<Geometry>

Inherited from ngeoInteractionMeasure.sketchFeature

- Defined in src/interaction/Measure.js:123

The sketch feature.

### startMsg

startMsg: Element

Inherited from ngeoInteractionMeasure.startMsg

- Defined in src/interaction/Measure.js:169

The message to show when user is about to start drawing.

### unitPrefixFormat

unitPrefixFormat: unitPrefix

- Defined in src/interaction/MeasureAzimut.js:67

The format function

## Methods

### createDrawInteraction

- createDrawInteraction(style: StyleLike, source: VectorSource<LineString>): Draw | DrawAzimut | default

- Overrides ngeoInteractionMeasure.createDrawInteraction

  - Defined in src/interaction/MeasureAzimut.js:77

  #### Parameters

  - ##### style: StyleLike

    The sketchStyle used for the drawing interaction.

  - ##### source: VectorSource<LineString>

    Vector source.

  #### Returns Draw | DrawAzimut | default

  {?import('ol/interaction/Draw').default|import('ngeo/interaction/DrawAzimut').default| import('ngeo/interaction/MobileDraw').default} The interaction

### getDrawInteraction

- getDrawInteraction(): Draw | DrawAzimut | default

- Inherited from ngeoInteractionMeasure.getDrawInteraction

  - Defined in src/interaction/Measure.js:261

  #### Returns Draw | DrawAzimut | default

  The draw interaction.

### getTooltipElement

- getTooltipElement(): Element

- Inherited from ngeoInteractionMeasure.getTooltipElement

  - Defined in src/interaction/Measure.js:513

  Get a reference to the tooltip element.

  #### Returns Element

  Tooltip Element.

### handleMeasure

- handleMeasure(callback: ((arg0: string, arg1: Coordinate) => void)): void

- Overrides ngeoInteractionMeasure.handleMeasure

  - Defined in src/interaction/MeasureAzimut.js:88

  #### Parameters

  - ##### callback: ((arg0: string, arg1: Coordinate) => void)

    The function to be called.

    - - (arg0: string, arg1: Coordinate): void

      - #### Parameters

        - ##### arg0: string

        - ##### arg1: Coordinate

        #### Returns void

### setMap

- setMap(map: PluggableMap): void

- Inherited from ngeoInteractionMeasure.setMap

  - Defined in src/interaction/Measure.js:281

  #### Parameters

  - ##### map: PluggableMap

    Map.

  #### Returns void

Generated using TypeDoc